Subject: Re: [PATCH iproute2] geneve: support for modifying geneve device

From: Stephen Hemminger <[email-masked]>
Date: Thu, 27 Jul 2017 11:24:37 -0700

On Tue, 25 Jul 2017 19:11:43 -0700
Girish Moodalbail <[email-masked]> wrote:

> Ability to change geneve device attributes was added to kernel through
> commit 5b861f6baa3a ("geneve: add rtnl changelink support"), however one
> cannot do the same through ip-link(8) command.  Changing the allowed
> geneve device attributes using 'ip link set <geneve_name> type geneve id
> <geneve_id> <allowed_attributes>' currently fails with 'operation not
> supported' error.  This patch adds support for it.
> 
> Signed-off-by: Girish Moodalbail <[email-masked]>

Looks good, applied.
Please send a follow on patch to update usage help and man page.